%Var_Geometry file
%
%
%
% ATTENTION!!!!!!! AT LEAST 2 ELEMENTS FOR EVERY LIFTING SURFACE ARE REQUIRED!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

global plott alpha0 beta0 Vinf rho

% ===========================================
% Aerodynamic Surfaces
% ===========================================

% _____________________________________
% WING DATA
% _____________________________________

SYM_wing		= 1;		% do i have to create also the left wing?

airfoil_wing		= 'NACA4415';
Nc_wing			= 5;		% Number of panels chordwise

xA_wing 		= 0;
yA_wing			= 0;
zA_wing			= 0;

Nbvect_wing 		= 		[7,	7	];		% Number of panels spanwise
crootvect_wing		= 		[1.63,	1.63	];		% root chord length
ctipvect_wing		= 		[1.63,	1.0761	];		% tip chord length
bvect_wing		= 		[2.61,	2.8226	];		% length
lambdavect_wing 	= pi/180 * 	[0,	4.27	];		% sweep
deltavect_wing 		= pi/180 * 	[0,	3.032	];		% dihedral
eps0vect_wing		= pi/180 * 	[0,	0	];		% pitch angle (tilt angle) at root
epsvect_wing 		= pi/180 * 	[0,	0	];		% wingsection twist (delta pitch: tip - root)
FCRvect_wing	 	= 		[0,	0	];		% FlapChordRatio: 0 -> no flap; 1 -> all moving
xivect_wing		= pi/180 *	[0,	0	];		% flap deflection. any number is ok if FCR = 0
invert_wing		= 		[0,	0	];		% invert deflection on SYM side? flap -> 0 (NO!!!); aileron -> 1 (YESSS)

% _____________________________________
% HORIZONTAL TAIL DATA
% _____________________________________
SYM_htail		= 1;		% do i have to create also the left wing?

airfoil_htail		= 'NACA0012';
Nc_htail		= 4;		% Number of panels chordwise

xA_htail 		= 4.3751;
yA_htail		= 0;
zA_htail		= -0.34;

Nbvect_htail 		= 		[5	];		% Number of panels spanwise
crootvect_htail		= 		[1.3584	];		% root chord length
ctipvect_htail		= 		[0.7762	];		% tip chord length
bvect_htail		= 		[1.4959	];		% length
lambdavect_htail 	= pi/180 * 	[10.3663];		% sweep
deltavect_htail 	= pi/180 * 	[0	];		% dihedral
eps0vect_htail		= pi/180 * 	[-2.6684];		% pitch angle (tilt angle) at root
epsvect_htail 		= pi/180 * 	[0	];		% wingsection twist (delta pitch: tip - root)
FCRvect_htail	 	= 		[0.4	];		% FlapChordRatio: 0 -> no flap; 1 -> all moving
xivect_htail		= pi/180 *	[0	];		% flap deflection. any number is ok if FCR = 0
invert_htail		= 		[0	];		% invert deflection on SYM side? flap -> 0 (NO!!!); aileron -> 1 (YESSS)


% _____________________________________
% VERTICAL TAIL DATA
% _____________________________________

SYM_vtail		= 0;		% do i have to create also the left wing?

airfoil_vtail		= 'NACA0012';
Nc_vtail		= 6;		% Number of panels chordwise

xA_vtail 		= 2.4521;
yA_vtail		= 0;
zA_vtail		= -0.3;

Nbvect_vtail 		= 		[2,	4 	];		% Number of panels spanwise
crootvect_vtail		= 		[3.1931,1.2702	];		% root chord length
ctipvect_vtail		= 		[1.2702,0.688	];		% tip chord length
bvect_vtail		= 		[0.27,	0.9173	];		% length
lambdavect_vtail 	= pi/180 * 	[82.362,44.3	];		% sweep
deltavect_vtail 	= pi/180 * 	[0,	0	];		% dihedral
eps0vect_vtail		= pi/180 * 	[0,	0	];		% pitch angle (tilt angle) at root
epsvect_vtail 		= pi/180 * 	[0,	0	];		% wingsection twist (delta pitch: tip - root)
FCRvect_vtail	 	= 		[0,	0.3	];		% FlapChordRatio: 0 -> no flap; 1 -> all moving
xivect_vtail		= pi/180 *	[0,	0	];		% flap deflection. any number is ok if FCR = 0
invert_vtail		= 		[0,	0	];		% invert deflection on SYM side? flap -> 0 (NO!!!); aileron -> 1 (YESSS)



% _____________________________________
% OTHER LIFTING SURFACES DATA
% _____________________________________


