% La function permette di fornire le coordinate di punti equispaziati tra il punto
% identificato dal vettore posizione rstart e il punto identificato da rend.
% Vengono forniti N punti IN TOTALE

function [xv,yv,zv] = linspace3d(rstart,rend,N)

% inizializzo vettori posizione
xv = zeros(1,N);
yv = zeros(1,N);
zv = zeros(1,N);

deltar = (rend - rstart)/(N-1);

xv(1) = rstart(1);
yv(1) = rstart(2);
zv(1) = rstart(3);

%xv(end) = rend(1);
%yv(end) = rend(2);
%zv(end) = rend(3);

for jj = 2:N
	XYZ = rstart + (jj-1)*deltar;
	xv(jj) = XYZ(1);
	yv(jj) = XYZ(2);
	zv(jj) = XYZ(3);
end

return
