% Initial Conditions

global plott alpha0 beta0 Vinf rho

% ==================================
% Linearization Conditions
% ==================================

alpha0 	= 1.35*pi/180;
beta0 	= 0*pi/180;

Vinf = 54.54;	% [m/s]	, cruise condition
rho = 1.0581;	% [kg/m3], at h = 1500 m



% ____________________________________________
beta0 = -beta0;	% because the implemented sign of beta is opposite to
		% what we usually mean with "sideslip".. just keep it.
